package com.hdkj.lt.core.sys.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hdkj.lt.core.bizms.modle.po.DwdShbDsFeederBase;
import com.hdkj.lt.core.sys.model.dto.FeederCacheDTO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
* @author zhangtj
* @description 针对表【dwd_shb_ds_feeder_base(配电设备_配电馈线台账表)】的数据库操作Service
* @createDate 2025-05-24 18:27:00
*/
public interface DwdShbDsFeederBaseService extends IService<DwdShbDsFeederBase> {

    DwdShbDsFeederBase getByPsrId(String linePsrId);

    Map<String, Object> refreshAllFeederCache() ;

    Map<String, FeederCacheDTO> getCacheMapByIds(Collection<String> psrIds);

    FeederCacheDTO getFeederByCacheOrDb(String psrId);

    Map<String, Object>  getAllFeederCache();

    void refreshFeederCacheById(String feederId);

    List<DwdShbDsFeederBase> getFeederListByMaintOrg(String maintOrg);
}
